# Uses of Interface
org.eclipse.swt.events.FocusListener

Packages that use FocusListener
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of FocusListener in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type FocusListener
Modifier and Type
Method
Description
`void`
AbstractInformationControl.`addFocusListener(FocusListener listener)`
Adds the given listener to the list of focus listeners.
`void`
IInformationControl.`addFocusListener(FocusListener listener)`
Adds the given listener to the list of focus listeners.
`void`
AbstractInformationControl.`removeFocusListener(FocusListener listener)`
Removes the given listeners from the list of focus listeners.
`void`
IInformationControl.`removeFocusListener(FocusListener listener)`
Removes the given listeners from the list of focus listeners.

## Uses of FocusListener in org.eclipse.jface.text.hyperlink

Classes in org.eclipse.jface.text.hyperlink that implement FocusListener
Modifier and Type
Class
Description
`class`
`HyperlinkManager`
Default implementation of a hyperlink manager.

## Uses of FocusListener in org.eclipse.swt.events

Classes in org.eclipse.swt.events that implement FocusListener
Modifier and Type
Class
Description
`class`
`FocusAdapter`
This adapter class provides default implementations for the methods described by the `FocusListener` interface.
Methods in org.eclipse.swt.events that return FocusListener
Modifier and Type
Method
Description
`static FocusListener`
FocusListener.`focusGainedAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `focusGained(FocusEvent e)`) method with a lambda expression.
`static FocusListener`
FocusListener.`focusLostAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `focusLost(FocusEvent e)`) method with a lambda expression.

## Uses of FocusListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type FocusListener
Modifier and Type
Method
Description
`void`
Control.`addFocusListener(FocusListener listener)`
Adds the listener to the collection of listeners who will be notified when the control gains or loses focus, by sending it one of the messages defined in the `FocusListener` interface.
`void`
Control.`removeFocusListener(FocusListener listener)`
Removes the listener from the collection of listeners who will be notified when the control gains or loses focus.